Page MenuHomePhabricator

CX2: TypeError: Cannot read property 'getRange' of undefined
Closed, ResolvedPublic

Description

While testing T195665 and translating Atazanavir from en -> es, I'm getting following JS error. No other unusual behavior noticed so far:

jQuery.Deferred exception: Cannot read property 'getRange' of undefined TypeError: Cannot read property 'getRange' of undefined
    at http://cx2-testing.wmflabs.org/load.php?debug=false&lang=en&modules=ext.cx.campaigns.contributionsmenu%7Cext.cx.widgets.spinner%7Cext.visualEditor.core%2Cmwlink%2Cwelcome%7Cmediawiki.action.view.redirectPage%7Cmediawiki.skinning.content.parsoid%7Cmediawiki.widgets%7Cmw.cx.init%7Cmw.cx.init.Translation%7Cmw.cx.ui.Categories%2CCategoryMultiselectWidget%2CHeader%2CInfobar%2CMessageWidget%2CPageTitleWidget%2CPersonalMenuWidget%2CSourceColumn%2CTargetColumn%2CToolsColumn%2CTranslationHeader%2CTranslationView%7Coojs-ui-core%7Coojs-ui-core.styles%7Coojs-ui-widgets.styles%7Cve.ui.CXDesktopContext&skin=vector&version=0u65bz8:83:180
    at Array.sort (native)
    at VeDmInternalList.ve.dm.InternalList.sortGroupIndexes (http://cx2-testing.wmflabs.org/load.php?debug=false&lang=en&modules=ext.cx.campaigns.contributionsmenu%7Cext.cx.widgets.spinner%7Cext.visualEditor.core%2Cmwlink%2Cwelcome%7Cmediawiki.action.view.redirectPage%7Cmediawiki.skinning.content.parsoid%7Cmediawiki.widgets%7Cmw.cx.init%7Cmw.cx.init.Translation%7Cmw.cx.ui.Categories%2CCategoryMultiselectWidget%2CHeader%2CInfobar%2CMessageWidget%2CPageTitleWidget%2CPersonalMenuWidget%2CSourceColumn%2CTargetColumn%2CToolsColumn%2CTranslationHeader%2CTranslationView%7Coojs-ui-core%7Coojs-ui-core.styles%7Coojs-ui-widgets.styles%7Cve.ui.CXDesktopContext&skin=vector&version=0u65bz8:83:77)
    at VeDmInternalList.ve.dm.InternalList.onTransact (http://cx2-testing.wmflabs.org/load.php?debug=false&lang=en&modules=ext.cx.campaigns.contributionsmenu%7Cext.cx.widgets.spinner%7Cext.visualEditor.core%2Cmwlink%2Cwelcome%7Cmediawiki.action.view.redirectPage%7Cmediawiki.skinning.content.parsoid%7Cmediawiki.widgets%7Cmw.cx.init%7Cmw.cx.init.Translation%7Cmw.cx.ui.Categories%2CCategoryMultiselectWidget%2CHeader%2CInfobar%2CMessageWidget%2CPageTitleWidget%2CPersonalMenuWidget%2CSourceColumn%2CTargetColumn%2CToolsColumn%2CTranslationHeader%2CTranslationView%7Coojs-ui-core%7Coojs-ui-core.styles%7Coojs-ui-widgets.styles%7Cve.ui.CXDesktopContext&skin=vector&version=0u65bz8:82:388)
    at VeDmDocument.oo.EventEmitter.emit (<anonymous>:75:486)
    at VeDmDocument.ve.dm.Document.commit (http://cx2-testing.wmflabs.org/load.php?debug=false&lang=en&modules=ext.cx.campaigns.contributionsmenu%7Cext.cx.widgets.spinner%7Cext.visualEditor.core%2Cmwlink%2Cwelcome%7Cmediawiki.action.view.redirectPage%7Cmediawiki.skinning.content.parsoid%7Cmediawiki.widgets%7Cmw.cx.init%7Cmw.cx.init.Translation%7Cmw.cx.ui.Categories%2CCategoryMultiselectWidget%2CHeader%2CInfobar%2CMessageWidget%2CPageTitleWidget%2CPersonalMenuWidget%2CSourceColumn%2CTargetColumn%2CToolsColumn%2CTranslationHeader%2CTranslationView%7Coojs-ui-core%7Coojs-ui-core.styles%7Coojs-ui-widgets.styles%7Cve.ui.CXDesktopContext&skin=vector&version=0u65bz8:203:560)
    at VeDmSurface.ve.dm.Surface.changeInternal (http://cx2-testing.wmflabs.org/load.php?debug=false&lang=en&modules=ext.cx.campaigns.contributionsmenu%7Cext.cx.widgets.spinner%7Cext.visualEditor.core%2Cmwlink%2Cwelcome%7Cmediawiki.action.view.redirectPage%7Cmediawiki.skinning.content.parsoid%7Cmediawiki.widgets%7Cmw.cx.init%7Cmw.cx.init.Translation%7Cmw.cx.ui.Categories%2CCategoryMultiselectWidget%2CHeader%2CInfobar%2CMessageWidget%2CPageTitleWidget%2CPersonalMenuWidget%2CSourceColumn%2CTargetColumn%2CToolsColumn%2CTranslationHeader%2CTranslationView%7Coojs-ui-core%7Coojs-ui-core.styles%7Coojs-ui-widgets.styles%7Cve.ui.CXDesktopContext&skin=vector&version=0u65bz8:166:37)
    at VeDmSurface.ve.dm.Surface.change (http://cx2-testing.wmflabs.org/load.php?debug=false&lang=en&modules=ext.cx.campaigns.contributionsmenu%7Cext.cx.widgets.spinner%7Cext.visualEditor.core%2Cmwlink%2Cwelcome%7Cmediawiki.action.view.redirectPage%7Cmediawiki.skinning.content.parsoid%7Cmediawiki.widgets%7Cmw.cx.init%7Cmw.cx.init.Translation%7Cmw.cx.ui.Categories%2CCategoryMultiselectWidget%2CHeader%2CInfobar%2CMessageWidget%2CPageTitleWidget%2CPersonalMenuWidget%2CSourceColumn%2CTargetColumn%2CToolsColumn%2CTranslationHeader%2CTranslationView%7Coojs-ui-core%7Coojs-ui-core.styles%7Coojs-ui-widgets.styles%7Cve.ui.CXDesktopContext&skin=vector&version=0u65bz8:165:532)
    at VeDmSurfaceFragment.ve.dm.SurfaceFragment.change (http://cx2-testing.wmflabs.org/load.php?debug=false&lang=en&modules=ext.cx.campaigns.contributionsmenu%7Cext.cx.widgets.spinner%7Cext.visualEditor.core%2Cmwlink%2Cwelcome%7Cmediawiki.action.view.redirectPage%7Cmediawiki.skinning.content.parsoid%7Cmediawiki.widgets%7Cmw.cx.init%7Cmw.cx.init.Translation%7Cmw.cx.ui.Categories%2CCategoryMultiselectWidget%2CHeader%2CInfobar%2CMessageWidget%2CPageTitleWidget%2CPersonalMenuWidget%2CSourceColumn%2CTargetColumn%2CToolsColumn%2CTranslationHeader%2CTranslationView%7Coojs-ui-core%7Coojs-ui-core.styles%7Coojs-ui-widgets.styles%7Cve.ui.CXDesktopContext&skin=vector&version=0u65bz8:174:768)
    at VeDmSurfaceFragment.ve.dm.SurfaceFragment.insertDocument (http://cx2-testing.wmflabs.org/load.php?debug=false&lang=en&modules=ext.cx.campaigns.contributionsmenu%7Cext.cx.widgets.spinner%7Cext.visualEditor.core%2Cmwlink%2Cwelcome%7Cmediawiki.action.view.redirectPage%7Cmediawiki.skinning.content.parsoid%7Cmediawiki.widgets%7Cmw.cx.init%7Cmw.cx.init.Translation%7Cmw.cx.ui.Categories%2CCategoryMultiselectWidget%2CHeader%2CInfobar%2CMessageWidget%2CPageTitleWidget%2CPersonalMenuWidget%2CSourceColumn%2CTargetColumn%2CToolsColumn%2CTranslationHeader%2CTranslationView%7Coojs-ui-core%7Coojs-ui-core.styles%7Coojs-ui-widgets.styles%7Cve.ui.CXDesktopContext&skin=vector&version=0u65bz8:186:282)

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJun 1 2018, 10:56 AM
Pginer-WMF triaged this task as Normal priority.Jun 1 2018, 10:58 AM
Pginer-WMF moved this task from Needs Triage to CX2 on the ContentTranslation board.

Another error on same article after attempting clicking on the 3rd paragraph. Notification says: Automatic translation failed!

However, publishing seems OK and had references unlike reported in: T195665

jQuery.Deferred exception: Cannot read property 'shallowCloneFromRange' of null TypeError: Cannot read property 'shallowCloneFromRange' of null
    at VeDmConverter.ve.dm.Converter.getDomFromNode (http://cx2-testing.wmflabs.org/load.php?debug=false&lang=en&modules=ext.cx.campaigns.contributionsmenu%7Cext.cx.widgets.spinner%7Cext.visualEditor.core%2Cmwlink%2Cwelcome%7Cmediawiki.action.view.redirectPage%7Cmediawiki.skinning.content.parsoid%7Cmediawiki.widgets%7Cmw.cx.init%7Cmw.cx.init.Translation%7Cmw.cx.ui.Categories%2CCategoryMultiselectWidget%2CHeader%2CInfobar%2CMessageWidget%2CPageTitleWidget%2CPersonalMenuWidget%2CSourceColumn%2CTargetColumn%2CToolsColumn%2CTranslationHeader%2CTranslationView%7Coojs-ui-core%7Coojs-ui-core.styles%7Coojs-ui-widgets.styles%7Cve.ui.CXDesktopContext&skin=vector&version=0u65bz8:254:324)
    at VeInitMwCXTarget.ve.init.mw.CXTarget.changeContentSource (<anonymous>:493:436)
    at VeInitMwCXTarget.<anonymous> (<anonymous>:489:952)
    at mightThrow (http://cx2-testing.wmflabs.org/load.php?debug=false&lang=en&modules=jquery%2Cmediawiki&only=scripts&skin=vector&version=1ekwh6b:49:598)
    at process (http://cx2-testing.wmflabs.org/load.php?debug=false&lang=en&modules=jquery%2Cmediawiki&only=scripts&skin=vector&version=1ekwh6b:50:269)
Vvjjkkii renamed this task from CX2: TypeError: Cannot read property 'getRange' of undefined to nubaaaaaaa.Jul 1 2018, 1:06 AM
Vvjjkkii raised the priority of this task from Normal to High.
Vvjjkkii updated the task description. (Show Details)
Vvjjkkii removed a subscriber: Aklapper.
CommunityTechBot renamed this task from nubaaaaaaa to CX2: TypeError: Cannot read property 'getRange' of undefined.Jul 2 2018, 1:46 PM
CommunityTechBot lowered the priority of this task from High to Normal.
CommunityTechBot updated the task description. (Show Details)
CommunityTechBot added a subscriber: Aklapper.

@KartikMistry can you please recheck the errors reported here? I tried translating en:Atazanavir to Spanish on cx2-testing and everything went fine, without JS errors.

The other error reported at T196152#4248533 is tracked in T196152.

@KartikMistry can you please recheck the errors reported here? I tried translating en:Atazanavir to Spanish on cx2-testing and everything went fine, without JS errors.
The other error reported at T196152#4248533 is tracked in T196152.

Looks good now! No errors anyway.

Petar.petkovic closed this task as Resolved.Oct 1 2018, 11:11 AM